v1.0
post
/ec-codelist-svc/rest/v1.0/codelist/groups
Create a new codelist group to manage and reuse related codelists together.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : CodeListGroupRequestV1.0
Type:
objectTitle:
CodeListGroupRequestV1.0Request payload used to create or update a codelist group.
Show Source
-
codeGroupName: string
Name of the CodeList GroupExample:
ABC Pharma
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Success
Root Schema : CodeListGroupDtoV1.0
Type:
objectTitle:
CodeListGroupDtoV1.0Codelist group response containing the group identifier and display name.
Show Source
-
codeGroupId: string
(uuid)
Group GUID
-
codeGroupName: string
Name of the CodeList GroupExample:
ABC Pharma
Examples
400 Response
Bad Request: invalid parameters or request body
Root Schema : CodeListResponseV1.0
Type:
objectTitle:
CodeListResponseV1.0Standard codelist service response envelope.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Response result.
-
status: string
Response status.Example:
success
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResponse result.
Example:
{
}Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples
500 Response
Server error
Root Schema : CodeListResponseV1.0
Type:
objectTitle:
CodeListResponseV1.0Standard codelist service response envelope.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Response result.
-
status: string
Response status.Example:
success
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResponse result.
Example:
{
}Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples